GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getShipmentReference ()
void | setShipmentReference (String value)
String | getShipmentUnitReference ()
void | setShipmentUnitReference (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)

## Protected Attributes
String | trackID
String | shipmentReference
String | shipmentUnitReference
String | parcelNumber
String | partnerParcelNumber

## Detailed Description

ReferenceData attributes (getParcelDetails request)

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <choice>
              <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
              <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
              <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
            </choice>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 47 of file DetailsReferenceData.java.

## Member Function Documentation

## ◆ getParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 140 of file DetailsReferenceData.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 164 of file DetailsReferenceData.java.

## ◆ getShipmentReference()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

Returns
  possible object is String

Definition at line 92 of file DetailsReferenceData.java.

## ◆ getShipmentUnitReference()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

Returns
  possible object is String

Definition at line 116 of file DetailsReferenceData.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 68 of file DetailsReferenceData.java.

## ◆ setParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 152 of file DetailsReferenceData.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 176 of file DetailsReferenceData.java.

## ◆ setShipmentReference()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.setShipmentReference | ( | String | value | ) |

Sets the value of the shipmentReference property.

Parameters

  value | allowed object is String

Definition at line 104 of file DetailsReferenceData.java.

## ◆ setShipmentUnitReference()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.setShipmentUnitReference | ( | String | value | ) |

Sets the value of the shipmentUnitReference property.

Parameters

  value | allowed object is String

Definition at line 128 of file DetailsReferenceData.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 80 of file DetailsReferenceData.java.

## Member Data Documentation

## ◆ parcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.parcelNumber
| protected

Definition at line 56 of file DetailsReferenceData.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.partnerParcelNumber
| protected

Definition at line 58 of file DetailsReferenceData.java.

## ◆ shipmentReference

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.shipmentReference
| protected

Definition at line 52 of file DetailsReferenceData.java.

## ◆ shipmentUnitReference

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.shipmentUnitReference
| protected

Definition at line 54 of file DetailsReferenceData.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.DetailsReferenceData.trackID
| protected

Definition at line 50 of file DetailsReferenceData.java.

The documentation for this class was generated from the following file:

- DetailsReferenceData.java